/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package beaconconfig;
import javax.swing.*;

class AttribValueLabel
{
    JLabel attrib;
    JLabel value;

    public AttribValueLabel(JPanel p, String s) 
    {
	attrib = new JLabel(s, JLabel.RIGHT);
	value  = new JLabel("0");

	p.add(attrib);
	p.add(value);
    }

    public void setValue(String s)
    {
	value.setText(s);
    }

    public void setValue(double s)
    {
	value.setText(Util.textOf(s, 5));
    }

    public String toString()
    {
	return attrib+": "+value;
    }
}
